Bug 224154 - gfs2-utils-0.1.7-1.fc6 rebuild failure on a rawhide system
Summary: gfs2-utils-0.1.7-1.fc6 rebuild failure on a rawhide system
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gfs2-utils   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Steve Whitehouse
QA Contact:
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On: 429769
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-24 14:01 UTC by Karsten Hopp
Modified: 2008-04-17 07:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-17 07:56:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Karsten Hopp 2007-01-24 14:01:20 UTC
Description of problem:
make[1]: Entering directory
`/home/build/rebuild/build/gfs2-utils-0.1.7-1.fc6.src.rpm/gfs2-0.1.7/mkfs'
gcc -c -Wall -O2 -ggdb -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
-D_GNU_SOURCE -DGFS2_RELEASE_NAME=\"2\" -I/usr/include/ -I../include/
-I../libgfs2/ -I../config/ -o main.o main.c
gcc -c -Wall -O2 -ggdb -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
-D_GNU_SOURCE -DGFS2_RELEASE_NAME=\"2\" -I/usr/include/ -I../include/
-I../libgfs2/ -I../config/ -o main_mkfs.o main_mkfs.c
gcc -c -Wall -O2 -ggdb -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
-D_GNU_SOURCE -DGFS2_RELEASE_NAME=\"2\" -I/usr/include/ -I../include/
-I../libgfs2/ -I../config/ -o main_jadd.o main_jadd.c
main_jadd.c:20:26: error: linux/iflags.h: No such file or directory
main_jadd.c: In function 'make_jdata':
main_jadd.c:41: error: 'IFLAGS_GET_IOC' undeclared (first use in this function)
main_jadd.c:41: error: (Each undeclared identifier is reported only once
main_jadd.c:41: error: for each function it appears in.)
main_jadd.c:45: error: 'IFLAG_JOURNAL_DATA' undeclared (first use in this function)
main_jadd.c:48: error: 'IFLAGS_SET_IOC' undeclared (first use in this function)
make[1]: *** [main_jadd.o] Error 1
make[1]: Leaving directory
`/home/build/rebuild/build/gfs2-utils-0.1.7-1.fc6.src.rpm/gfs2-0.1.7/mkfs'
make: *** [tag_mkfs] Error 2
error: Bad exit status from /var/tmp/gfs2-utils-0.1.7-1.fc6.src.rpm/rpm-tmp.548
(%build)

Comment 1 Steve Whitehouse 2007-01-25 09:46:58 UTC
iflags.h is obsolete, include linux/fs.h and use the FS_xxxx_FL flags instead.
It should be a 1:1 substitution.

Comment 2 Chris Feist 2007-01-25 15:58:58 UTC
I just rebuilt gfs2-utils and pushed it to final yesterday.  The new gfs2
(0.1.25-1.fc6) should be showing up soon.

Comment 3 Bug Zapper 2008-04-03 18:56:20 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 4 Steve Whitehouse 2008-04-14 09:56:18 UTC
Fixed in CVS


Note You need to log in before you can comment on or make changes to this bug.